// gnome.xonotic.in.ua

models/mapobjects/graglerlite/glitehed
{
	surfaceparm nolightmap
	{
		map models/mapobjects/graglerlite/glitehed.tga
		blendfunc gl_one gl_zero
	}
	{
		map models/mapobjects/graglerlite/glitehed_fx.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/graglerlite/gliteoven
{
	surfaceparm nolightmap
	{
		map models/mapobjects/graglerlite/gliteoven.tga
		blendfunc gl_one gl_zero
	}
	{
		map models/mapobjects/graglerlite/gliteoven_fx.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/graglerlite/liteild1
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/graglerlite/liteild1.tga
		blendfunc gl_one gl_one
		tcmod scroll -.09 0
	}
	{
		map models/mapobjects/graglerlite/liteild1.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 0
	}
}

models/mapobjects/jets/jet_1
{
	surfaceparm trans
	nomipmaps
	cull disable
	{
		map models/mapobjects/jets/jet_1.tga
		blendfunc add
		tcmod scale .5 1
		tcmod scroll 6 0
		rgbgen identity
	}
	{
		map models/mapobjects/jets/jet_2.tga
		blendfunc add
		tcmod scroll 3 -.5
		rgbgen wave inversesawtooth -.3 1.3 0 .5
	}
}

models/mapobjects/jets/jet_as
{
	deformvertexes autosprite2
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	nomipmaps
	{
		map models/mapobjects/jets/jet_as.tga
		blendfunc add
		rgbgen identity
	}
}

models/mapobjects/kmlamp_white
{
	surfaceparm trans
	{
		map textures/effects/tinfxb.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/bot_flare
{
	deformvertexes autosprite
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap models/mapobjects/lamps/bot_flare.tga
		blendfunc gl_one gl_one
		tcmod rotate 20
	}
}

models/mapobjects/lamps/bot_flare2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/bot_flare2.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/bot_lamp
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_lamp2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp2.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_wing
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 .5 0 .5
	cull disable
	{
		map models/mapobjects/lamps/bot_wing.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/lamps/flare03
{
	deformvertexes autosprite
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/flare03.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc gl_one gl_one
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll -.1 -.2
	}
}

models/mapobjects/wallhead/femhead
{
	deformvertexes wave 100 sin 0 .7 0 .2
	cull disable
	{
		map models/mapobjects/wallhead/femhead3.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/wallhead/femhead4.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen wave sin 0 1 1 .1
		rgbgen vertex
	}
}

models/mapobjects/wallhead/lion_m
{
	{
		map models/mapobjects/wallhead/lion_m.tga
		blendfunc gl_one gl_zero
		rgbgen vertex
	}
	{
		map textures/sfx/firewalla.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.1 1
	}
	{
		map models/mapobjects/wallhead/lion_m.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/base_support/cable_trans
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_support/cable_trans.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_trim/border11light
{
	q3map_surfacelight 500
	q3map_lightimage textures/base_trim/border11light.glow.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border11light.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11light.glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 10
	}
}

textures/bgmp0/spa-jump512
{
	qer_editorimage textures/bgmp0/spa-jump512_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 22
	surfaceparm sky
	q3map_sun 0.462 1.000 0.850 40 0 30
	skyparms env/bgmp0/spa-jump512 - -
}

textures/bgmp0/st_floor1_pad1or
{
	qer_editorimage textures/bgmp0/st_floor1_pad1.tga
	q3map_lightimage textures/bgmp0/st_floor1_pad1.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/bgmp0/st_floor1_pad1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/bgmp0/st_floor1_pad1.blend.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1.2 2 0.6
	}
}

textures/bgmp0/st_lamp64_wh1k_flik
{
	qer_editorimage textures/bgmp0/st_lamp64.tga
	q3map_lightimage textures/bgmp0/st_lamp64.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/bgmp0/st_lamp64.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/bgmp0/st_lamp64.blend.tga
		blendfunc add
		rgbgen wave noise 0.5 1 2 6
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm donotenter
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/ctf/blue_telep
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	sort additive
	{
		clampmap textures/ctf/blue_telep.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/ctf/blue_telep2.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod rotate 20
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/skies/blacksky
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun 1 1 1 32 90 90
	{
		map gfx/colors/black.tga
	}
}

textures/skies/nightsky_xian_dm1
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 300
	q3map_sun 1 1 1 100 -41 58
	qer_editorimage textures/skies/nightsky_nocloud.tga
	skyparms env/xnight2 - -
}

